::ng-deep .modal {
    z-index: 9999 !important;
    display: flex !important;
    align-items: center;
    justify-content: center;

    .modal-content {
        width: 552px;
        height: 401px;
        background: #242731;
        /* GREEN */

        border: 1px solid #00e8b0;
        box-sizing: border-box;
        box-shadow: 0px 4px 0px #00e8b0;
        position: relative;

        .close_icon {
            position: absolute;
            top: 24px;
            right: 24px;
            font-size: 24px;
        }
        .message {
            font-family: Kanit;
            font-style: normal;
            font-weight: 500;
            font-size: 24px;
            line-height: 30px;
            /* or 125% */

            text-align: center;

            color: #ffffff;
            width: 220px;
            margin-bottom: 65px;
        }

        .button_group {
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .button {
            width: 168px;
            height: 48px;
            display: flex;
            align-items: center;
            justify-content: center;
            margin: 12px;
            cursor: pointer;
            &:hover {
                border: 1px solid #00e8b0;
            }
            &[button_yes] {
                background: #ff36d3;
            }

            &[button_no] {
                background: #57586c;
            }
            .text {
                font-family: Kanit;
                font-style: normal;
                font-weight: 500;
                font-size: 15px;
                line-height: 24px;
                /* or 160% */

                text-align: center;

                /* White-100 */

                color: #ffffff;
            }
        }
    }
}

::ng-deep wol-confirm {
    height: 100%;
}

.modal_wrapper {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

@media screen and (max-width: 675px) {
    ::ng-deep .modal {
        .modal-content {
            max-width: 320px;
        }
    }
}
